/* taxonomy term images */
.px-carousel {
  width: 100%;
  overflow: hidden;
  position: relative;
}
.px-product-terms {
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	gap: 30px;
    width: max-content;
    animation: scroll var(--speed) linear infinite;
}

/* Pause on hover */
.px-product-terms:hover {
    animation-play-state: paused;
}

.px-product-terms .px-term-img {
	max-width: 80px;
	height: auto;
	display: flex;
	align-items: center;
	justify-content: center;
}

@keyframes scroll {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}




/* single product */
.px-card {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    max-width: 650px;
}
.px-card .px-tabs {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
}
.px-card .px-tabs .px-tab-link {
    font-size: 18px;
    font-weight: 600;
    text-transform: capitalize;
    text-align: center;
    color: white;
    padding: 14px 24px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    background: gray;
    cursor: pointer;
    width: 33% !important;
}
.px-card .px-tabs .px-tab-link.px-active {
   background: rgb(219, 168, 0);
}
.px-card hr {
   margin: 16px 0 !important;
}
.px-card .px-tab-content {
    display: none;
    flex-direction: column;
    background: white;
    padding: 24px 24px 0 24px;
    box-shadow: 0px 4px 9px 1px #00000073;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    position: relative;
}
.px-card .px-tab-content.px-load::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #7d7d7d1c;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}
.px-card .px-tab-content.px-load:after {
   content: "";
   position: absolute;
   top: calc(50% - 10px);
   left: calc(50% - 10px);
   width: 20px;
   height: 20px;
   border: 2px solid transparent;
   border-left-color: var(--px-accent-color);
   border-radius: 50%;
   display: inline-block;

   /* animation */
   animation: wd-rotate 0.45s linear infinite;
   opacity: 1;
   /* start visible */
   transition: opacity 0.6s ease;
   z-index: 2;
}
@keyframes wd-rotate {
  0%   { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}
.px-card .px-tab-content.px-active {
    display: flex;
}
.px-card .px-tab-content .px-sub-title {
    font-size: 28px;
    font-weight: 600;
    text-transform: capitalize;
}
.px-card .px-tab-content .px-card-buttons {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 16px 0;
    gap: 10px;
}
.px-card .px-tab-content .px-card-button {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 16px;
    border: solid 1px #c1c1c1;
    border-radius: 8px;
    gap: 10px;
}
.px-card .px-tab-content .px-content p {
    font-size: 17px;
    font-weight: 600;
    margin: 4px 0;
}
.px-card .px-tab-content .px-content span {
    font-size: 14px;
    font-weight: 500;
    margin: 0;
    color: #a1a1a1;
}
.px-card .px-tab-content .px-qty {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    border: solid 1px #c1c1c1;
    border-radius: 6px;
    height: 45px;
}
.px-card .px-qty__input::-webkit-inner-spin-button,
.px-card .px-qty__input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
.px-card .px-tab-content .px-qty .px-qty__input {
    text-align: center;
    max-width: 30px;
    width: fit-content;
    outline: none;
    border: none;
    padding: 0 !important;
    margin: 0 !important;
}
.px-card .px-tab-content .px-qty .px-qty__btn {
    font-size: 15px;
    font-weight: 600;
    color: black !important;
    border: none;
    background: transparent;
    width: 25px;
    cursor: pointer;
    padding: 0 !important;
    margin: 0 !important;
    transition: .3s;
}
.px-card .px-tab-content .px-qty .px-qty__btn:hover {
    background: #8080802e;
}
.px-card .px-tab-content .px-qty .px-qty__btn.px-qty__btn--minus {
   border-right: solid 1px #c1c1c1;
}
.px-card .px-tab-content .px-qty .px-qty__btn.px-qty__btn--plus {
   border-left: solid 1px #c1c1c1;
}
.px-card .px-card-check {
    display: flex;
    justify-content: flex-start;
}
.px-card .px-card-check label {
    font-size: 16px;
    font-weight: 600;
	color: black;
    margin: 4px 0;
}
.px-card .px-card-check input[type="checkbox"] {
    min-width: 1.4rem;
    height: 1.4rem;
    margin-right: .5em;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    appearance: none;
    border-radius: 5px !important;
    outline: none;
    border: 2px solid rgba(128,128,128,.25);
    vertical-align: middle;
    display: inline-flex;
    vertical-align: middle;
    align-items: center;
    transition: .3s ease;
}
.px-card .px-card-check input[type="checkbox"]:checked {
	background-color: var( --e-global-color-accent ) !important;
    border-color: var( --e-global-color-accent ) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
}
.px-card .px-card-price {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
    justify-content: space-between;
	padding: 16px 0;
    gap: 20px;
}
.px-card .px-card-price .px-price {
    display: inline-flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.px-card .px-card-price .px-price .price {
    font-size: 30px;
    font-weight: 600;
    line-height: 35px;
    color: #000;
}
.px-card .px-card-price .px-price .desc-price {
    font-size: 14px;
    color: #a1a1a1;
}
.px-card .px-card-price ul {
	list-style: none;
    padding: 0;
    margin: 0;
}
.px-card .px-card-price ul li {
	display: flex;
    flex-direction: row;
    align-items: center;
    gap: 6px;
	margin: 8px 0;
}
.px-card .px-card-price ul i {
	font-size: 18px;
    color: #dba800;
}
.px-card .px-card-price ul span {
	font-size: 15px;
}
.px-card .px-submit-card .px-submit {
    font-size: 20px;
    font-weight: 600;
    text-align: center;
	margin: 16px 0;
    padding: 16px 20px;
    color: white;
    background: rgb(219, 168, 0);
    border: none;
    border-radius: 8px;
    width: 100%;
}


@media screen and (max-width: 1024px) {
  .px-checkout-wrapper {
      flex-direction: column !important;
  }
  .px-checkout-wrapper .px-left,
  .px-checkout-wrapper .px-right {
      width: 100% !important;
  }
 .px-checkout-wrapper .px-card-content {  
      min-height: 100% !important;
      max-width: 100% !important;
      padding: 50px 25px !important;
  }
}
.px-checkout-wrapper {
    display: flex;
    flex-direction: row;
}

.px-checkout-wrapper .px-left {
    display: flex;
    flex-direction: column;
    width: 50%;
    justify-content: flex-start;
    align-items: flex-end;
}
.px-checkout-wrapper .px-left .px-card-content,
.px-checkout-wrapper .px-right .px-card-content {  
   font-family: var(--e-global-typography-primary-font-family), Sans-serif; 
   padding: 60px 40px;
   max-width: 695px;
   min-height: 100vh;
   width: 100%;

}
.px-checkout-wrapper .px-left .px-card-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    padding-right: 80px;
}
.px-left .px-booking-summary {
    display: flex;
    flex-direction: column;
    gap: 6px;
    width: 100%;
}
.px-booking-summary .px-sub-title {
    background-color: #ae7e4b1a;
    padding: 3px 16px 3px 16px;
    border-radius: 100px;
    text-align: left;
    width: fit-content;
}
.px-booking-summary .px-sub-title span {
    font-size: 12px;
    font-weight: 500;
    text-transform: capitalize;
    color: var(--px-accent-color);
}
.px-booking-summary .px-title {
    font-size: 25px;
    font-weight: 500;
    color: var(--e-global-color-primary);
    margin: 0;
}
.px-booking-summary .px-product-extras {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
}
.px-booking-summary .px-product-extras span {
    font-size: 10px;
    font-weight: 400;
    color: #8F8F8F;
}
.px-booking-summary .px-product-extras p {
    font-size: 14px;
    font-weight: 500;
    color: var(--e-global-color-primary);
    margin: 0;
}
.px-booking-summary .px-card {
    display: flex;
    flex-direction: column;
    padding: 35px;
    margin-top: 25px;
    border: solid 1px #E4E4E4;
    border-radius: 20px;
    background: #F5F1EE;
    min-width: 100%;
}
.px-booking-summary .px-card .px-card-title {
    font-size: 15px;
    font-weight: 600;
    text-transform: capitalize;
    color: white;
    padding: 10px 20px;
    margin: 0;
    margin-bottom: 30px;
    background: var(--px-accent-color);
    width: fit-content;
    border-radius: 100px;
}
.px-booking-summary .px-card .px-card-booking-info {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.px-booking-summary .px-card .px-card-sub-title {
    font-size: 16px;
    font-weight: 600;
    text-transform: capitalize;
    color: var(--e-global-color-primary);
    padding-bottom: 10px;
    border-bottom: solid 1px #DEDEDE;
    margin: 0;
}
.px-booking-summary .px-card .px-booking-box {
    padding: 10px 0;
}
.px-booking-summary .px-card .px-booking-box .px-booking-box-row {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
.px-booking-summary .px-card .px-booking-box-row .px-label,
.px-booking-summary .px-card .px-booking-box-row .px-number {
    display: inline-flex;
    font-size: 14px;
    font-weight: 400;
    color: var(--e-global-color-primary);
    width: fit-content;
}
.px-booking-summary #px-totale-price {
   margin: 30px 0;
}
.px-booking-summary #px-totale-price p {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 20px;
    font-weight: 600;
    text-transform: capitalize;
    color: var(--e-global-color-primary);
}
.px-booking-summary #px-totale-price p.px-discount {
    color: #F70A1D;
}
.px-booking-summary #px-totale-price p.px-totale {
    font-size: 25px;
}
.place-order #px-card {
   margin-bottom: 20px !important;
}
.place-order #px-card p {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    font-size: 25px;
    font-weight: 600;
    text-transform: capitalize;
    color: var(--e-global-color-primary);
}










.woocommerce-NoticeGroup.woocommerce-NoticeGroup-checkout {
    display: none;
}
.px-checkout-wrapper .px-right {
    display: flex;
    flex-direction: column;
    width: 50%;
    justify-content: flex-start;
    align-items: flex-start;
    background: #F5F1EE;
}
.px-checkout-wrapper .px-right .px-card-content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    padding-left: 80px;
}
.px-checkout-wrapper .px-right .px-card-content .px-title {
    font-size: 40px;
    font-weight: 500;
    position: relative;
    padding-bottom: 18px;
}
.px-checkout-wrapper .px-right .px-card-content .px-title::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 65px;
    height: 3px;
    background: var(--px-accent-color);
}
.px-checkout-wrapper .px-right .px-billing,
.px-checkout-wrapper .px-right .px-payment-box {
    background: white;
    border-radius: 20px;
    padding: 25px;
    width: 100%;
}
.px-checkout-wrapper .px-right .px-payment-box {
margin-top: 20px;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-billing-fields__field-wrapper label {
    font-size: 12px !important;
    font-weight: 400 !important;
    color: var(--e-global-color-primary) !important;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-billing-fields__field-wrapper .input-text {
    font-size: 16px !important;
    font-weight: 400 !important;
    color: var(--e-global-color-primary) !important;
    padding: 14px;
    border: solid 1px #E4E4E4;
    border-radius: 10px;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-radio-wrapper {
    display: flex;
    flex-direction: row;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-radio-wrapper label {
    margin-right: 20px;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-billing-fields__field-wrapper .input-text::placeholder {
    color: #8F8F8F !important;
    opacity: 1; 
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-billing-fields__field-wrapper input[type="radio"] {
    min-width: 0.9rem;
    transition: .3s ease;
}
.px-checkout-wrapper .px-right .px-billing .woocommerce-billing-fields__field-wrapper input[type="radio"]:checked {
    accent-color: var(--px-accent-color) !important;
    color-scheme: light;
}
.px-checkout-wrapper .px-right #payment {
    padding: 0 !important;
    border: none !important;
}
.px-checkout-wrapper .px-right #payment .px-payment-title {
    font-size: 25px;
    font-weight: 600;
    color: var(--e-global-color-primary) !important;
    margin: 0;
    margin-bottom: 25px;
}
.px-checkout-wrapper .px-right #payment .wc_payment_methods {
    display: flex;
    flex-direction: column;
    gap: 15px;
}
.px-payment-box #payment .wc_payment_method label,
.px-payment-box #payment .wc_payment_method .payment_box {
	display: none;
}
.px-payment-box #payment .wc_payment_method input[type="radio"] {
    position: absolute;
    opacity: 0;
}
.wc_payment_method .px-payment-method {
    display: flex; 
    flex-direction: row;
    gap: 12px;
    border: 1px solid #E4E4E4;
    padding: 16px;
    border-radius: 15px;
    cursor: pointer;
    transition: 0.2s;
    min-height: 80px;
}

.wc_payment_method.px-active .px-payment-method {
    border-color: var(--px-accent-color);
    background: #dd9c2624;
}
.px-payment-method-logo {
    display: flex;
    align-items: center;
}
.px-payment-method-logo img {
    width: 42px;
}
.px-payment-method-title {
	font-size: 16px;
    font-weight: 600;
	color: var(--e-global-color-primary);
    margin-bottom: 6px;
}
.px-payment-method-description {
	font-size: 12px;
	font-weight: 400;
	color: #8F8F8F;
    margin: 0;
}
.px-payment-method-pricing {
     margin: 10px 0;
}
.px-method-pricing-title {
     font-size: 15px !important;
     font-weight: 400 !important;
     color: #8F8F8F !important;
     margin-bottom: 16px !important;
}
.wc_payment_method .px-payment-method-pricing {
     display: none;
}
.wc_payment_method.px-active .px-payment-method-pricing {
     display: block;
     padding-top: 10px;
}
.px-payment-method-items {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;		
}
.px-payment-method-items .px-payment-method-item {
    padding: 8px 20px;
    border: 1px solid #E4E4E4;
    border-radius: 10px;
    cursor: pointer;
}
.px-payment-method-items .px-payment-method-item.px-active {
    background: #dd9c2624;
    border: solid 1px var(--px-accent-color);
}
.px-payment-method-item label {
    display: inline-flex !important;
    font-size: 14px;
    font-weight: 600;
    color: var(--e-global-color-primary) !important;
	cursor: pointer;
}
.px-checkout-wrapper .px-right #payment .woocommerce-form__label-for-checkbox {
    font-size: 12px;
    font-weight: 500;
}
.px-checkout-wrapper .px-right #payment .input-checkbox {
    min-width: 1rem;
    height: 1rem;
    margin-right: .5em;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    appearance: none;
    border-radius: 5px !important;
    outline: none;
    border: 2px solid rgba(128, 128, 128, .25);
    vertical-align: middle;
    display: inline-flex;
    vertical-align: middle;
    align-items: center;
    transition: .3s ease;
}
.px-checkout-wrapper .px-right #payment .input-checkbox:checked {
	background-color: var( --e-global-color-accent ) !important;
    border-color: var( --e-global-color-accent ) !important;
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M6 10l3 3l6-6'/%3e%3c/svg%3e");
}
.px-checkout-wrapper .px-right #payment .woocommerce-terms-and-conditions-link {
    color: var(--px-accent-color) !important;
}
.px-checkout-wrapper .px-right #payment .button[type="submit"] {
    font-size: 25px !important;
    font-weight: 600 !important;
    border-radius: 15px !important;
    padding: 20px !important;
    background: var(--px-accent-color) !important;
}